/*Grid box gallery*/
.txt-blue{
    color: #5F8295 !important;
}
.p-r-0{ padding-right: 0;}
.p-l-0{ padding-left: 0;}
.box-gallery input:focus{
    border-color: #ccc;
}
.box-gallery .col-xs-3{
    margin-bottom: 16px;
    padding: 0 8px;
}
.box-gallery .col-xs-3:nth-child(4n+1) {
    content: '';
    clear: both;
}
.box-gallery .height-200{
    height: 0;
    padding-bottom: 62.5%;
    position: relative;
    width: 100%;
}
.box-gallery .box-16-10 {
    height: 100%;
    left: 0;
    position: absolute;
    top: 0;
    width: 100%;
}
.box-gallery .box-16-10:hover{
    cursor: pointer;
}

#modal-photos-details .img-fluid {
    display: block;
    max-width: 100%;
    height: auto;
}

.box-gallery .height-200 .box-16-10 img,
.box-gallery-popup .height-200 .box-16-10 img{
    height: 100%;
    width: 100%;
}
.box-gallery .box-16-10.active img{
    opacity: 0.7;
}
.box-gallery .box-16-10.active:after{
    background: #fff;
    border-radius: 50%;
    color: #00a4e4;
    content: "\f00c";
    font-family: 'FontAwesome';
    font-size: 18px;
    height: 34px;
    line-height: 34px;
    left: 50%;
    margin: -17px 0 0 -17px;
    position: absolute;
    text-align: center;
    top: 50%;
    width: 34px;
}
.box-gallery .title-img{
    color: #333;
    display: none;
    padding: 3px 7px;
    position: absolute;
    bottom: 0;
    width: 100%;
    text-align: center;
    background: rgba(255,255,255,0.8);
    white-space: nowrap;
    overflow: hidden;
    text-transform: capitalize;
    text-overflow: ellipsis;
}
.img-edit{
    display: none;
    position: absolute;
    z-index: 10;
    width: 100%;
    top: 0;
}
.img-edit .fa{
    background: #fff;
    float: right;
    font-size: 16px;
    padding: 10px;
}
.img-edit .fa.pull-left{
    float: left;
}
.box-create-new-place .widget-top-overflow:hover .img-edit,
.box-services .widget-top-overflow:hover .img-edit,
.box-gallery .col-xs-3:hover .img-edit,
.box-gallery .col-xs-3:hover  .title-img{
    display: block;
}

/*Photo uploader page*/
#asset-uploader .choose-file{
    top: 800%;
    left: 50%;
    position: absolute;
}
#asset-uploader .centred{
    margin-top: -100px;
    position: absolute;
    transform: translateX(-50%);
    -ms-transform: translateX(-50%);
    -webkit-transform: translateX(-50%);
}
#asset-uploader .fa-cloud-upload{
    font-size: 36px;
}
.drop-zone {
    background: #eee;
    border: dotted 3px lightgray;
    height: 300px !important;
}
.choose-file{
    position: relative;
}
.choose-file .btn{
    width: 250px;
}
.choose-file input[type="file"]{
    opacity: 0;
    position: absolute;
    width: 250px;
}
.my-drop-zone {
    background: #eee;
    border: dotted 3px lightgray;
    height: 300px !important;
}

#asset-uploader img {
    border: 0;
    vertical-align: middle;
}

.img-edit{
    display: none;
    position: absolute;
    z-index: 10;
    width: 100%;
    top: 0;
}
.img-edit .fa{
    background: #fff;
    float: right;
    font-size: 16px;
    padding: 10px;
}
.img-edit .fa:hover{
    background: #ed7951;
    color: #fff !important;
}
.img-edit .fa.pull-left{
    float: left;
}

.image-preview canvas {
    display: block;
    max-width: 100%;
    height: auto;
}

.free-scale-trash {
    display: block;
    margin-left: -16px;
    transition: all .2s linear;
}
.free-scale-trash .fa{
    color:#858585!important;
}
.free-scale-trash:hover .fa{
    color:#fff!important;
}

.m-l-0 {
    margin-left: 0 !important;
}
.m-r-0 {
    margin-right: 0 !important;
}

.box-services .widget-top-overflow{
    display: block;
}

.box-create-new-place .widget-top-overflow:hover .img-edit,
.box-services .widget-top-overflow:hover .img-edit,
.box-gallery-popup .col-xs-3:hover .img-edit,
.box-gallery-popup .col-xs-3:hover  .title-img,
.box-gallery .col-xs-3:hover .img-edit,
.box-gallery .col-xs-3:hover  .title-img{
    display: block;
}

.box-gallery-popup .height-200, .box-gallery .height-200 {
    height: 0;
    padding-bottom: 62.5%;
    position: relative;
    width: 100%;
}

.box-gallery-popup .box-16-10, .box-gallery .box-16-10 {
    height: 100%;
    left: 0;
    position: absolute;
    top: 0;
    width: 100%;
}

.cropper-button {
    margin-top: -72px;
}

/* Modals */
.asset-details-window .modal-dialog {
    width: 60%;
}
.modal-dialog img {
    width: 100%;
}
.modal-assets-footer {
    margin-top: 15px;
    text-align: center;
}
.modal-textarea {
    width: 100%;
    height: 200px;
}

.service-preview-window .modal-dialog {
    width: 95%;
}
.service-preview-window .modal-body {
    padding: 0;
}

.choose-image-wrapper {
    position: relative;
}

.choose-image {
    margin: 6rem auto;
   text-align: center;
}

.upload-text-wrapper {
    margin: 2rem 0;
}

#video-player .wraper-flex-video,
#video-player .flex-video,
#video-player .flex-video.view_01 .ghinda-video-player.simpledark {
    width: 100%
}

.video-play-button {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 30px;
    line-height: 29px;
    text-indent: 2px;
    background: #ed7951;
    color: #fff;
    border-radius: 50%;
    cursor: pointer;
}

.video-wrapper {
    background-size: cover;
    background-position: center;
    position: relative;
    height: 100px;
    width: 150px;
}

.moments-video {
    position: relative;
    max-width: 100%;
    height: 100px;
    width: 150px;
}

.image-spinner {
    position: absolute;
    top: 10%;
    left: 10%;
}

.crop-label {
    margin-bottom: 5px;
}

.btn-upload-img{
    margin:0 -15px;
    display: flex;
    flex-wrap: wrap;
}
.btn-upload-img .col-xs-3{
    padding: 0 15px;
}
.btn-upload-img .small-title{
    margin-bottom: 15px;
    display: block;
}
.btn-upload-img .border{
    border: 1px solid #c8c7cc;
    padding: 15px;
    position: relative;
    min-height: 200px;
    height: auto;
    display: flex;
    align-items: center;
    justify-content: center;
}
.btn-upload-img .border .image-preview{
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}
.btn-upload-img .mask-img{
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}
.btn-upload-img .mask-img img{
    opacity: 0.4;
}

.btn-upload-img .free-scale-trash{
    right: 0;
}
.btn-upload-img .btn-add{
    position: absolute;
    top:0;
    bottom: 0;
    left:0;
    cursor: pointer;
    width: 44px;
    height: 44px;
    right:0;
    margin:auto;
}
.app-sidebar-closed .sidebar-toggler{
    opacity: 0;
    position: absolute;
    top:0;
    left:0;
    cursor: pointer;
    width: 69px;
}

.no-margin-row {
    margin-left:0;
    margin-right:0;
}


.daterangepicker td.active, .daterangepicker td.active:hover{
    background-color: #ed7951!important;
}


.dropdown-menu>.active>a, .dropdown-menu>.active>a:focus, .dropdown-menu>.active>a:hover{
    background: #ed7951;
}

.btn.dropdown-toggle.selectpicker{
    border-radius: 0!important;
}

.navbar .navbar-right > li.current-user > a{
    display: flex;
    align-items: center;
}
.navbar .navbar-right > li.current-user > a span{
    display: flex;
    align-items: center;
}

.navbar .navbar-right > li.current-user > a .ti-angle-down{
    margin-left: 5px;
    margin-top: 1px;
    color:#f6906d!important;
}
.container-fluid .bootstrap-select .btn:focus{
    outline: none!important;
}
.bootstrap-select.btn-group .btn .caret{
    border-top: 6px dashed;
    border-right: 6px solid transparent;
    border-left: 6px solid transparent;
    border-top-color: #d3d3d3;
}
.bootstrap-select.btn-group .btn .caret:after{
    border-top: 6px dashed;
    content: "";
    border-right:6px solid transparent;
    border-left: 6px solid transparent;
    border-top-color: #fff;
    position: absolute;
    top: -8px;
    right: 0;
    margin: auto;
    left: -6px;
}

.btn-default.active, .btn-default:active, .open>.dropdown-toggle.btn-default{
    background: #fff!important;
}


.form-login-lang{
    display: flex;
}
.form-login .title{
    display: inline-block;
    background: #fff;
    padding-right: 10px;
    padding-left: 5px;
}
.form-login-lang button{
    font-size: 14px;
    background: #ffffff;
    margin: 0 3px;
    font-weight: 700;
    min-width: 32px;
    border: 1px solid #e6e8e8;
    transition: all .25s linear;
    border-radius: 5px;
    line-height: 24px;
    padding: 0 5px;
}
html:lang(en) .form-login-lang button:nth-child(1) {
    border: 1px solid #5F8295;
}
html:lang(ja) .form-login-lang button:nth-child(2) {
    border: 1px solid #5F8295;
}
.form-login-lang button:hover{
    border: 1px solid #5F8295;
}
.form-login legend{
    width: 100%!important;
    padding-left: 10px;
    padding-right: 33px;
    background: transparent;
    display: flex;
    justify-content: space-between;
}
.nav-language{
    position: relative;
    padding: 0 6px;
    height: 64px;
    cursor: pointer;
}
.nav-language > a{
    display: block;
    height: auto;
    width: 30px;
    line-height: 64px;
}
.nav-language:hover{
    background: #ebebeb !important;
}
.nav-language ul{
    list-style-type: none;
    position: absolute;
    top:100%;
    background-color: #fff;
    -webkit-background-clip: padding-box;
    background-clip: padding-box;
    border: 1px solid rgba(0,0,0,.15);
    border-radius: 4px;
    -webkit-box-shadow: 0 6px 12px rgba(0,0,0,.175);
    box-shadow: 0 6px 12px rgba(0,0,0,.175);
    left: 1px;
    line-height: 1;
    padding: 5px;
    margin: 0;
}
.nav-language ul li + li{
    margin-top: 5px;
}
.nav-language ul a{
    width: 30px;
    height: 21px;
    display: block;
    padding: 0;
    border:1px solid transparent;
    background: transparent;
    transition: all .25s linear;
}
.nav-language ul a:hover{
    border:1px solid #000;
}
.img-download .image-preview{
    flex-direction: column;
}
.img-download .image-preview canvas{
    margin-bottom: 10px;
}
.img-download .image-preview canvas + div,
.img-download img + div{
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
    max-width: 100%;
}

.img-download .border > div{
    max-width: 100%;
}

.img-download img{
    margin-bottom: 10px;
}

.wrap-profile .bootstrap-select.form-control:not([class*="span"]){
    margin-bottom: 0;
}

.profile-header{
    display: flex;
}
.profile-header-img{
    flex:0 0 150px;
    max-width: 150px;
    margin-right: 15px;
}
.profile-header-btn .btn{
    display: block;
    min-width: 0;
    width: 50px;
}
.profile-header-btn .btn + .btn{
    margin-top: 15px;
}
textarea{
    resize: vertical;
}

.language-wrap{
    display: flex;
    align-items: flex-end;
    justify-content: space-between;
}
.language-wrap #add-language-btn{
    top:-2px;
}
.language-wrap-item{
    align-items: center;
    display: flex;
    justify-content: space-between;
}
.language-wrap-item .btn.btn-danger{
    margin-left: 15px;
}
.language-wrap .btn.btn-danger{
    margin-left: 0px;
    top:-2px;
}
.language-wrap .d-flex-item{
    flex:1;
    padding-right: 15px;
}
#userImage{
    width: auto;
}
.language-left-item .ng-scope:nth-last-child(-n+2){
    float: left;
    width: calc(100% - 45px);
}
.language-left-item .btn.btn-blue{
    float: right;
    margin-top:12px!important;
}
.overflow-hidden{
    overflow: hidden;
}
.nav-pills + .tab-content > .tab-pane{
    padding: 0;
}
@media(max-width:991px){
    .language-left-item{
        overflow: hidden;
        margin-bottom: 20px;
    }
    .wrap-profile .p-r-0{
        padding-left: 0;
    }
    .wrap-profile .p-l-0{
        padding-left: 0;
    }
    .md-p-0{
        padding-left: 0;
        padding-right: 0;
    }
}

.bs-searchbox{
    position: relative;
}
.bs-searchbox input{
    padding-right: 40px;
}
.bs-searchbox:after{
    content: "";
    background-image: url("data:image/svg+xml,%3Csvg version='1.1' id='Capa_1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' x='0px' y='0px' width='612.01px' height='612.01px' viewBox='0 0 612.01 612.01' style='enable-background:new 0 0 612.01 612.01;' xml:space='preserve'%3E%3Cg%3E%3Cg id='_x34__4_'%3E%3Cg%3E%3Cpath d='M606.209,578.714L448.198,423.228C489.576,378.272,515,318.817,515,253.393C514.98,113.439,399.704,0,257.493,0 C115.282,0,0.006,113.439,0.006,253.393s115.276,253.393,257.487,253.393c61.445,0,117.801-21.253,162.068-56.586 l158.624,156.099c7.729,7.614,20.277,7.614,28.006,0C613.938,598.686,613.938,586.328,606.209,578.714z M257.493,467.8 c-120.326,0-217.869-95.993-217.869-214.407S137.167,38.986,257.493,38.986c120.327,0,217.869,95.993,217.869,214.407 S377.82,467.8,257.493,467.8z' fill='%23aeacb4'/%3E%3C/g%3E%3C/g%3E%3C/g%3E%3C/svg%3E%0A");width: 20px;
    height: 20px;
    position: absolute;
    top: 50%;
    right: 15px;
    background-repeat: no-repeat;
    background-size: cover;
    transform: translateY(-50%);
}
.bootstrap-select .dropdown-menu{
    z-index: 1089;
    padding: 0;
    max-height: 408px!important;
}
.bootstrap-select .dropdown-menu > .inner{
    max-height: 360px!important;
}